<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" schema="www-url" id="top-avg-compression-by-file-type" charttype="bars">

 <lire:title>Average Compression By File Type WWW Report</lire:title>
 <lire:description>
  <para>This report lists show the file extension which are on average
   most compressed.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="file_type_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of different extension
     to display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>File Types With Highest Average Compression Level, Top $file_type_to_show</lire:title>
  <lire:description>
   <para>Compression is in percent.</para>
  </lire:description>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$gzip_result" arg2="OK"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-avg_compression" limit="$file_type_to_show">
   <lire:field name="requested_page_ext"/>

   <lire:avg name="avg_compression" field="compression" label="Avg"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
